| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
wtap_dumper Struct Reference

Wiretap dumper handle and associated state. More...

`#include <wtap_module.h>`

## Public Attributes
WFILE_T | fh
int | file_type_subtype
int | snaplen
int | file_encap
ws_compression_type | compression_type
bool | needs_reload
int64_t | bytes_dumped
void * | priv
void * | wslua_data
subtype_add_idb_func | subtype_add_idb
subtype_write_func | subtype_write
subtype_finish_func | subtype_finish
addrinfo_lists_t * | addrinfo_lists
GArray * | shb_hdrs
const GArray * | shb_iface_to_global
GArray * | interface_data
GArray * | dsbs_initial
const GArray * | nrbs_growing
const GArray * | dsbs_growing
const GArray * | mevs_growing
const GArray * | dpibs_growing
unsigned | nrbs_growing_written
unsigned | dsbs_growing_written
unsigned | mevs_growing_written
unsigned | dpibs_growing_written

## Detailed Description

Wiretap dumper handle and associated state.

Used for writing capture data to output files, including metadata and block structures.

## Member Data Documentation

## ◆ addrinfo_lists

addrinfo_lists_t* wtap_dumper::addrinfo_lists

Struct containing lists of resolved addresses

## ◆ bytes_dumped

int64_t wtap_dumper::bytes_dumped

Total bytes written.

## ◆ compression_type

ws_compression_type wtap_dumper::compression_type

per-file, for those file formats that have per-file encapsulation types rather than per-packet encapsulation types Compression type used for output.

## ◆ dpibs_growing

const GArray* wtap_dumper::dpibs_growing

A reference to an array of DPIBs (of type wtap_block_t)

## ◆ dpibs_growing_written

unsigned wtap_dumper::dpibs_growing_written

Number of already processed DPIBs in dsbs_growing.

## ◆ dsbs_growing

const GArray* wtap_dumper::dsbs_growing

A reference to an array of DSBs (of type wtap_block_t)

## ◆ dsbs_growing_written

unsigned wtap_dumper::dsbs_growing_written

Number of already processed DSBs in dsbs_growing.

## ◆ dsbs_initial

GArray* wtap_dumper::dsbs_initial

An array of initial DSBs (of type wtap_block_t)

## ◆ fh

WFILE_T wtap_dumper::fh

Output file handle.

## ◆ file_type_subtype

int wtap_dumper::file_type_subtype

File type subtype.

## ◆ interface_data

GArray* wtap_dumper::interface_data

An array holding the interface data from pcapng IDB:s or equivalent(?) NULL if not present.

## ◆ mevs_growing

const GArray* wtap_dumper::mevs_growing

A reference to an array of Sysdig meta events (of type wtap_block_t)

## ◆ mevs_growing_written

unsigned wtap_dumper::mevs_growing_written

Number of already processed meta events in mevs_growing.

## ◆ needs_reload

bool wtap_dumper::needs_reload

true if the file requires re-loading after saving with wtap

## ◆ nrbs_growing

const GArray* wtap_dumper::nrbs_growing

A reference to an array of NRBs (of type wtap_block_t)

## ◆ nrbs_growing_written

unsigned wtap_dumper::nrbs_growing_written

Number of already processed NRBs in nrbs_growing.

## ◆ priv

void* wtap_dumper::priv

this one holds per-file state and is free'd automatically by wtap_dump_close()

## ◆ shb_hdrs

GArray* wtap_dumper::shb_hdrs

Section Header Blocks.

## ◆ shb_iface_to_global

const GArray* wtap_dumper::shb_iface_to_global

An array mapping the per-section interface numbers to global IDs

## ◆ snaplen

int wtap_dumper::snaplen

Maximum captured packet length.

## ◆ subtype_add_idb

subtype_add_idb_func wtap_dumper::subtype_add_idb

add an IDB, writing it as necessary

## ◆ subtype_finish

subtype_finish_func wtap_dumper::subtype_finish

write out information to finish writing file

## ◆ subtype_write

subtype_write_func wtap_dumper::subtype_write

write out a record

## ◆ wslua_data

void* wtap_dumper::wslua_data

this one holds wslua state info and is not free'd

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap_module.h